Skip to main content
The Agent Infra AWS template provides a simple AWS infrastructure for running AgentOS. It contains:
  • An AgentOS instance, serving Agents, Teams, Workflows and utilities using FastAPI.
  • A PostgreSQL database for storing sessions, memories and knowledge.
You can run your Agent Infra AWS locally as well as on AWS. This guide goes over the local setup first.

Setup

1

Create and activate a virtual environment

python3 -m venv .venv
source .venv/bin/activate
2

Install Agno

pip install -U "agno[infra]"
3

Install uv and docker

  • Install uv for managing your python environment.
curl -LsSf https://astral.sh/uv/install.sh | sh
4

Export your OpenAI key

export OPENAI_API_KEY=sk-***
Agno is compatible with any model provider; simply update the agents in your project.

Create your Agent Infra Docker codebase

Create your codebase using the agent-infra-aws template, give it any name you like.
ag infra create --template agent-infra-aws --name my-agno-infra-project
This will create a folder agent-infra-aws with the following structure:
agent-infra-aws             # Root directory
├── agents                  # Sample Agents
├── teams                   # Sample Teams
├── workflows               # Sample Workflows
├── app                     # AgentOS directory
├── db                      # database tables
├── Dockerfile              # Dockerfile for the application
├── pyproject.toml          # python project definition
├── requirements.txt        # python dependencies generated by pyproject.toml
├── scripts                 # helper scripts
└── infra                   # Agno infra directory
    ├── dev_resources.py    # dev resources running locally
    ├── prd_resources.py    # production resources running on AWS
    ├── secrets             # secrets
    └── settings.py         # Agno infra settings

Next

Congratulations on running your Agent Infra AWS. Next Steps: